from django import forms
from .models import Client, ClientOffice, ClientCategory


class ClientCategoryCreateForm(forms.ModelForm):
    class Meta:
        model = ClientCategory


class ClientCreateForm(forms.ModelForm):
    class Meta:
        model = Client


class ClientOfficeCreateForm(forms.ModelForm):
    class Meta:
        model = ClientOffice
        exclude = ('client', 'contact')


class ClientOfficeBasicsForm(forms.ModelForm):
    class Meta:
        model = ClientOffice
        fields = ('department', 'reference')


class ClientBasicsForm(forms.ModelForm):
    class Meta:
        model = Client
        fields = ('name', 'category', 'reference')
